/**************************************************/
/*                                                */
/*  Unifier AssetReport DataBase Recovery         */
/*                                                */
/* Ver     CreateDate  Description                */
/* ------  ----------  -------------------------- */
/* v1.0.0  2018/09/12  VK쐬                   */
/*                                                */
/**************************************************/


DELETE FROM [DotCOE_ASTCNF].[dbo].[TableColumns]
WHERE [ID] in (SELECT [ID] FROM (
SELECT ROW_NUMBER() OVER ( PARTITION BY
                              [TableName]
                            , [FieldName]
                          ORDER BY
                            [ID] ) AS [SEQ],
[ID]
  FROM [DotCOE_ASTCNF].[dbo].[TableColumns]
  WHERE
     (TableName='RUI_HW' AND FieldName='CPUArchitecture')
  OR (TableName='RUI_HW' AND FieldName='OSArchitecture')
  OR (TableName='RUI_HW' AND FieldName='OSBranch')
  OR (TableName='RUI_HW' AND FieldName='OSVersion')
  OR (TableName='RUI_HW' AND FieldName='OSBuild')
  OR (TableName='RUI_NIC' AND FieldName='IPSubnetMask')
  OR (TableName='RUI_NIC' AND FieldName='IPSubnetMaskEdit')
  OR (TableName='RUI_STOREAPP' AND FieldName='PCNAME')
  OR (TableName='RUI_STOREAPP' AND FieldName='AppName')
  OR (TableName='RUI_STOREAPP' AND FieldName='AppVersion')
  OR (TableName='RUI_STOREAPP' AND FieldName='DisplayName')
  OR (TableName='RUI_STOREAPP' AND FieldName='PackageId')
  OR (TableName='RUI_STOREAPP' AND FieldName='Architecture')
  OR (TableName='RUI_STOREAPP' AND FieldName='Vendor')
  OR (TableName='RUI_STOREAPP' AND FieldName='Language')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='PCNAME')  
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='UsrName')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='AppName')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='AppVersion')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='DisplayName')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='PackageId')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='Architecture')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='Vendor')
  OR (TableName='RUI_USRSTOREAPP' AND FieldName='Language')
) tmp
Where SEQ > 1
)


